import { createUIKitClassname } from '../utils/createUIKitClassname';
export const MIN_ROW_HEIGHT = 44;
export const ROOT_ACTION_CELL_WIDTH = 32;
export const TREE_LINE_WIDTH = ROOT_ACTION_CELL_WIDTH / 2;
export const MIN_DISPLAY_ROWS_BY_DEFAULT = 10;
export const DEFAULT_MOBILE_SKELETON_ROWS_COUNT = 5;
export const EXPANDED_LEVEL_BY_DEFAULT = 1;
export const INITIAL_OPENED_NESTED_CHILDREN_COUNT_BY_DEFAULT = 2;
export const dataGridClassnames = {
    loadingPlaceholder: createUIKitClassname('data-grid__loading-placeholder'),
    header: createUIKitClassname('data-grid__header'),
    root: createUIKitClassname('data-grid'),
    body: createUIKitClassname('data-grid__body'),
    bodyEmpty: createUIKitClassname('data-grid__body_empty'),
    disabled: createUIKitClassname('data-grid_disabled'),
    pinnedSectionNoData: createUIKitClassname('data-grid__pinned-section_no-data'),
    hasPinnedSections: createUIKitClassname('data-grid_has-pinned-sections'),
    pinnedSections: createUIKitClassname('data-grid__pinned-sections'),
    leftPinnedSection: createUIKitClassname('data-grid__left-pinned-section'),
    rightPinnedSection: createUIKitClassname('data-grid__right-pinned-section'),
    overflowed: createUIKitClassname('data-grid_overflowed'),
    wrapper: createUIKitClassname('data-grid__wrapper'),
    isAllowHorizontalScroll: createUIKitClassname('data-grid_is-allow-horizontal-scroll'),
    hasGroupedColumns: createUIKitClassname('data-grid_has-grouped-columns'),
    gridViewFull: createUIKitClassname('data-grid_grid-view-full'),
    gridViewStandard: createUIKitClassname('data-grid_grid-view-standard'),
};
